/*
products-content
    products-section
        products-grid 
            product-card-link
                product-card
                    product-card-thumbnail
                    product-card-text
                        t2
                        p
*/

.products-content {
    display:inline;
}

/*
.products-section {
}
*/

.products-grid {
    width: 100%;
    display:flex;
    flex-direction: column;
    column-gap: 1%;
    margin-top: 1.25rem;
    margin-bottom: 1.25rem;
    gap: 0.6rem 0.6rem; /* row-gap column-gap */
}

.product-card-link {
    display:flex;
    flex-direction: row;
    flex-wrap: wrap;
    flex-basis: 18rem;
    min-width: min-content;
    min-height: min-content;
    border-color: var(--border);
    border-radius: 0.75rem;
    border-style: solid;
    border-width: 2px;
    box-shadow: var(--shadow);
    margin-top: 0.6rem;
    margin-bottom: 0.6rem;
}
.product-card-link:hover {
    color: var(--hover);
    border-color: var(--border-hover);
    border-width: 2px;
    box-shadow: var(--shadow-hover);
}
.product-card-link:active {
    border-color: var(--border-active);
    border-width: 2px;
    box-shadow: var(--shadow-active);
}
.product-card {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    flex: 1 1 0;
    min-width: min-content;
    min-height: min-content;   
    /* flex-flow: row wrap; */
    margin: 1.8rem 1.25rem 1.8rem 1.25rem; /* top right bottom left*/
    column-gap: 1.25rem;
}

.product-card-thumbnail {
    display: flex;
    flex: 1 1 0;
    min-width: min-content;
    min-height: min-content;   
}
.product-img {
    width: 100%;
    height: auto;
    object-fit: contain;
}
.product-card-text {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    min-width: min-content;
    min-height: min-content;   
    flex: 1 1 0;
    overflow-wrap: break-word; /* переносит длинные слова, если они не помещаются */
    /* overflow: hidden; */
    /* word-break: break-all; */
    margin-top: 0;
    margin-bottom: 0;
    margin-left: 0;
    margin-right: 0;
}

